Debian Bug report logs - #702507
ITP: validns -- high performance DNS/DNSSEC zone validator

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Casper Gielen (Unix Administrator University Tilburg)" <C.Gielen@uvt.nl>

Date: Thu, 7 Mar 2013 15:33:01 UTC

Owned by: "Casper Gielen" <casper-alioth@gielen.name>

Severity: wishlist

Fixed in version validns/0.7-1

Done: Casper Gielen <casper-alioth@gielen.name>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Casper Gielen" <casper-alioth@gielen.name>:
Bug#702507; Package wnpp. (Thu, 07 Mar 2013 15:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Casper Gielen (Unix Administrator University Tilburg)" <C.Gielen@uvt.nl>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Casper Gielen" <casper-alioth@gielen.name>. (Thu, 07 Mar 2013 15:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Casper Gielen (Unix Administrator University Tilburg)" <C.Gielen@uvt.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: validns -- high performance DNS/DNSSEC zone validator
Date: Thu, 07 Mar 2013 16:24:06 +0100
Package: wnpp
Severity: wishlist
Owner: "Casper Gielen" <casper-alioth@gielen.name>

* Package name    : validns
  Version         : 0.6
  Upstream Author : Anton Berezin <tobez@tobez.org>
* URL             : http://http://www.validns.net/
* License         : BSD
  Programming Lang: C
  Description     : high performance DNS/DNSSEC zone validator
 Validns is a standalone command line RFC 1034/1035 zone file validation tool
 that, in addition to basic syntactic and semantic zone checks, includes DNSSEC
 signature verification and NSEC/NSEC3 chain validation, as well a number of
 optional policy checks on the zone.
 .
 The utility was developed with the goal of it being the last verification step
 in the chain of production and publication of one or more zones containing up
 to many thousands (or millions) of signed records, making the speed of
 operation a primary focus, and reflect on validns’ design.
 .
 The utility is currently being used by several major DNS operators.
 .
 Currently, validns offers the following features:
  - parse RFC 1035-compliant zone files (so called “BIND” file format)
  - supports most of the standard record types
  - informs the user precisely where and what the errors are
  - verifies RRSIG signatures
  - NSEC/NSEC3 chain validation
  - supports signature validation in the future or in the past
  - built-in policy checks



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 21 May 2013 08:09:05 GMT) Full text and rfc822 format available.

Reply sent to Casper Gielen <casper-alioth@gielen.name>:
You have taken responsibility. (Fri, 31 May 2013 10:03:17 GMT) Full text and rfc822 format available.

Notification sent to "Casper Gielen (Unix Administrator University Tilburg)" <C.Gielen@uvt.nl>:
Bug acknowledged by developer. (Fri, 31 May 2013 10:03:17 GMT) Full text and rfc822 format available.

Message #12 received at 702507-close@bugs.debian.org (full text, mbox):

From: Casper Gielen <casper-alioth@gielen.name>
To: 702507-close@bugs.debian.org
Subject: Bug#702507: fixed in validns 0.7-1
Date: Fri, 31 May 2013 10:02:20 +0000
Source: validns
Source-Version: 0.7-1

We believe that the bug you reported is fixed in the latest version of
validns, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702507@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Casper Gielen <casper-alioth@gielen.name> (supplier of updated validns package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 16 Apr 2013 13:55:58 +0200
Source: validns
Binary: validns
Architecture: source i386
Version: 0.7-1
Distribution: unstable
Urgency: low
Maintainer: Casper Gielen <casper-alioth@gielen.name>
Changed-By: Casper Gielen <casper-alioth@gielen.name>
Description: 
 validns    - high performance DNS/DNSSEC zone validator
Closes: 702507
Changes: 
 validns (0.7-1) unstable; urgency=low
 .
   [ Casper Gielen ]
   * New upstream.
   * Use watch file.
   * Add Hardening to Makefile so it is actually used.
   * Remove lintian-override for new-package-should-close-itp-bug.
 .
   [ Joost van Baal-Ilić ]
   * First upload to Debian (Closes: #702507)
Checksums-Sha1: 
 f3c93d352ec71218f5d6830a5cd7b38e6ec5c8a3 1548 validns_0.7-1.dsc
 44ec8b8c561384c31134b8c7893a59c710069645 185377 validns_0.7.orig.tar.gz
 63b6b3fcc302cdc929d7f3a474610129444d1525 5241 validns_0.7-1.debian.tar.gz
 e0e834575a6606950a994535ca09d36831195190 60916 validns_0.7-1_i386.deb
Checksums-Sha256: 
 7d48c60491cb41aba3548af81825b5a7113f229708682ad63d74d4e313e12a58 1548 validns_0.7-1.dsc
 372f37f2ae2ff44251ffc0ceed7ad60bdb3e6a3a692e69d186566b9d19407591 185377 validns_0.7.orig.tar.gz
 09842cff8f14ebca57f45549a089a28dde04b9c4bf02ba61116c87e44bfe273b 5241 validns_0.7-1.debian.tar.gz
 8d25d0df995b2c9788addbf4cb9df031828bd147d4cb3de0c4f5fabcd05ec762 60916 validns_0.7-1_i386.deb
Files: 
 7008913b8cb4f7999ae60d39f0c94e91 1548 net extra validns_0.7-1.dsc
 40b0641ca9dad5669cb0bf0473611d2d 185377 net extra validns_0.7.orig.tar.gz
 93ede9c6d4a1734aecddaccbb6f10067 5241 net extra validns_0.7-1.debian.tar.gz
 47149b4cb2181781c7295856b93d7d54 60916 net extra validns_0.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBAgAGBQJRkz4EAAoJEDNRenKl5rDIxrUH/icGQfsK7OlOSego9tpPEJJJ
msnyBq+uahr1LSTzmXmnvudxAxCH+KDyL8MKn83F1qyTsbqaFUfndom0I0DF8L62
dg+IX6qd+qdknvZkiZqmQCqvEYyZbEPaOuUqzeOJ6558HLDQDbYaRfhLZKhwbcMV
hPeNaj9oV3Sw176d0FSQSGNdKcSchVoySjHLsrAiuyFgv5mmRB8KKf/XYhwec29o
EQbQYVreynNGc+F/Xxb+ST4SgNG446jGtS+cwuNt6csAWNntWnsyG1OmuOEIULED
NSKGYjOFg9HdO1nQHHUIP9SqSPzj88NvJutoc4cxkoeKbgQ2KvEcHIHf3EZ0qc4=
=Nt0i
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Jun 2013 07:27:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:58:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.